Index: code/branches/FICN/src/loader/LevelLoader.cc
===================================================================
--- code/branches/FICN/src/loader/LevelLoader.cc	(revision 785)
+++ code/branches/FICN/src/loader/LevelLoader.cc	(revision 786)
@@ -26,5 +26,5 @@
 */
 
-#include "StableHeaders.h"
+#include "OrxonoxStableHeaders.h"
 
 #include <OgreOverlay.h>
Index: code/branches/FICN/src/orxonox/GraphicsEngine.cc
===================================================================
--- code/branches/FICN/src/orxonox/GraphicsEngine.cc	(revision 785)
+++ code/branches/FICN/src/orxonox/GraphicsEngine.cc	(revision 786)
@@ -30,5 +30,5 @@
   */
 
-#include "StableHeaders.h"
+#include "OrxonoxStableHeaders.h"
 
 #include "GraphicsEngine.h"
Index: code/branches/FICN/src/orxonox/InputManager.cc
===================================================================
--- code/branches/FICN/src/orxonox/InputManager.cc	(revision 785)
+++ code/branches/FICN/src/orxonox/InputManager.cc	(revision 786)
@@ -1,3 +1,3 @@
-#include "StableHeaders.h"
+#include "OrxonoxStableHeaders.h"
 
 #include "InputManager.h"
Index: code/branches/FICN/src/orxonox/Main.cc
===================================================================
--- code/branches/FICN/src/orxonox/Main.cc	(revision 785)
+++ code/branches/FICN/src/orxonox/Main.cc	(revision 786)
@@ -31,5 +31,5 @@
   */
 
-#include "StableHeaders.h"
+#include "OrxonoxStableHeaders.h"
 
 #include <OgrePlatform.h>
@@ -86,4 +86,5 @@
     int argc = 2;
     int i;
+    int j;
     for(i = 0; cmd[i] != NULL; i++)
     {
@@ -91,9 +92,9 @@
     }
     char **argv = new char*[argc];
-    for (int j = 0; j < argc; j++)
+    for (j = 0; j < argc; j++)
     {
       argv[j] = new char[i];
     }
-    int j = 1;
+    j = 1;
     int k = 0;
     for(int i = 0; cmd[i] != NULL; i++)
Index: code/branches/FICN/src/orxonox/Orxonox.cc
===================================================================
--- code/branches/FICN/src/orxonox/Orxonox.cc	(revision 785)
+++ code/branches/FICN/src/orxonox/Orxonox.cc	(revision 786)
@@ -32,5 +32,5 @@
 
 // Precompiled Headers
-#include "StableHeaders.h"
+#include "OrxonoxStableHeaders.h"
 
 //****** OGRE ******
Index: code/branches/FICN/src/orxonox/OrxonoxStableHeaders.h
===================================================================
--- code/branches/FICN/src/orxonox/OrxonoxStableHeaders.h	(revision 786)
+++ code/branches/FICN/src/orxonox/OrxonoxStableHeaders.h	(revision 786)
@@ -0,0 +1,122 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Reto Grieder
+ *   Co-authors:
+ *      ...
+ *
+ */
+
+/**
+ @file  OrxonoxStableHeaders.h
+ @brief Contains the bigger (or smaller) header files in order to precompile them with MSVC
+ */
+
+#ifndef _OrxonoxStableHeaders_H__
+#define _OrxonoxStableHeaders_H__
+
+#include "OrxonoxPlatform.h"
+
+#if ORXONOX_COMPILER == ORXONOX_COMPILER_MSVC
+
+// including std headers here is useless since they're already precompiled
+
+// not including the entire Ogre.h doesn't exceed the default heap size for pch
+//#include <Ogre.h>
+#include <OgreBillboardSet.h>
+#include <OgreCamera.h>
+#include <OgreConfigFile.h>
+#include <OgreEntity.h>
+#include <OgreException.h>
+#include <OgreFrameListener.h>
+#include <OgreLight.h>
+#include <OgreOverlay.h>
+#include <OgreOverlayElement.h>
+#include <OgreOverlayManager.h>
+#include <OgreParticleEmitter.h>
+#include <OgreParticleSystem.h>
+#include <OgrePlatform.h>
+#include <OgrePrerequisites.h>
+#include <OgreRenderWindow.h>
+#include <OgreRoot.h>
+#include <OgreSceneManager.h>
+#include <OgreSceneNode.h>
+#include <OgreStringConverter.h>
+#include <OgreTextureManager.h>
+#include <OgreViewport.h>
+
+#include <OIS/OIS.h>
+
+/**
+* Some of the not so stable header files.
+* But it's not very useful to include them anyway..
+**/
+
+//#include "audio/AudioManager.h"
+
+#include "core/CoreIncludes.h"
+#include "core/BaseObject.h"
+//#include "core/ArgReader.h"
+#include "core/Error.h"
+
+#include "network/Synchronisable.h"
+//#include "network/Server.h"
+//#include "network/Client.h"
+
+#include "util/Math.h"
+#include "util/Convert.h"
+#include "util/Sleep.h"
+#include "util/String2Number.h"
+#include "util/Tokenizer.h"
+#include "util/tinyxml/ticpp.h"
+#include "util/tinyxml/tinyxml.h"
+
+//#include "hud/HUD.h"
+//#include "loader/LevelLoader.h"
+//#include "objects/weapon/AmmunitionDump.h"
+//#include "objects/weapon/BarrelGun.h"
+//#include "objects/weapon/Bullet.h"
+//#include "objects/weapon/BulletManager.h"
+//#include "objects/weapon/WeaponStation.h"
+//#include "objects/Ambient.h"
+//#include "objects/Camera.h"
+//#include "objects/Explosion.h"
+//#include "objects/Fighter.h"
+#include "objects/Model.h"
+//#include "objects/NPC.h"
+//#include "objects/Projectile.h"
+//#include "objects/Skybox.h"
+//#include "objects/SpaceShipSteeringObject.h"
+#include "objects/Tickable.h"
+#include "objects/WorldEntity.h"
+//#include "particle/ParticleInterface.h"
+//#include "tools/BillboardSet.h"
+//#include "tools/Light.h"
+//#include "tools/Mesh.h"
+//#include "tools/Timer.h"
+//#include "GraphicsEngine.h"
+//#include "InputManager.h"
+//#include "Orxonox.h"
+//#include "SpaceshipSteering.h"
+
+#endif
+
+#endif /* _OrxonoxStableHeaders_H__ */
Index: code/branches/FICN/src/orxonox/PrecompiledHeaderFiles.cc
===================================================================
--- code/branches/FICN/src/orxonox/PrecompiledHeaderFiles.cc	(revision 785)
+++ code/branches/FICN/src/orxonox/PrecompiledHeaderFiles.cc	(revision 786)
@@ -31,3 +31,3 @@
  */
 
-#include "StableHeaders.h"
+#include "OrxonoxStableHeaders.h"
Index: code/branches/FICN/src/orxonox/SpaceshipSteering.cc
===================================================================
--- code/branches/FICN/src/orxonox/SpaceshipSteering.cc	(revision 785)
+++ code/branches/FICN/src/orxonox/SpaceshipSteering.cc	(revision 786)
@@ -26,5 +26,5 @@
 */
 
-#include "StableHeaders.h"
+#include "OrxonoxStableHeaders.h"
 
 #include <OgreNode.h>
Index: code/branches/FICN/src/orxonox/StableHeaders.h
===================================================================
--- code/branches/FICN/src/orxonox/StableHeaders.h	(revision 785)
+++ 	(revision )
@@ -1,123 +1,0 @@
-/*
- *   ORXONOX - the hottest 3D action shooter ever to exist
- *
- *
- *   License notice:
- *
- *   This program is free software; you can redistribute it and/or
- *   modify it under the terms of the GNU General Public License
- *   as published by the Free Software Foundation; either version 2
- *   of the License, or (at your option) any later version.
- *
- *   This program is distributed in the hope that it will be useful,
- *   but WITHOUT ANY WARRANTY; without even the implied warranty of
- *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *   GNU General Public License for more details.
- *
- *   You should have received a copy of the GNU General Public License
- *   along with this program; if not, write to the Free Software
- *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
- *
- *   Author:
- *      Reto Grieder
- *   Co-authors:
- *      ...
- *
- */
-
-/**
- @file  StableHeaders.h
- @brief Contains the bigger (or smaller) header files in order to precompile them with MSVC
- */
-
-#ifndef _StableHeaders_H__
-#define _StableHeaders_H__
-
-#include "OrxonoxPlatform.h"
-
-#if ORXONOX_COMPILER == ORXONOX_COMPILER_MSVC
-
-// including std headers here is useless since they're already precompiled
-
-//#include <Ogre.h> // not including the entire Ogre.h doesn't exceed the heap
-#include <OgreBillboardSet.h>
-#include <OgreCamera.h>
-#include <OgreConfigFile.h>
-#include <OgreEntity.h>
-#include <OgreException.h>
-#include <OgreFrameListener.h>
-#include <OgreLight.h>
-#include <OgreOverlay.h>
-#include <OgreOverlayElement.h>
-#include <OgreOverlayManager.h>
-#include <OgreParticleEmitter.h>
-#include <OgreParticleSystem.h>
-#include <OgrePlatform.h>
-#include <OgrePrerequisites.h>
-#include <OgreRenderWindow.h>
-#include <OgreRoot.h>
-#include <OgreSceneManager.h>
-#include <OgreSceneNode.h>
-#include <OgreStringConverter.h>
-#include <OgreTextureManager.h>
-#include <OgreViewport.h>
-
-#include <OIS/OIS.h>
-
-/**
-* Some of the not so stable header file.
-* But since the project isn't large yet, these spare time after all.
-**/
-
-#include "audio/AudioManager.h"
-
-#include "core/CoreIncludes.h"
-#include "core/BaseObject.h"
-#include "core/ArgReader.h"
-#include "core/Debug.h"
-#include "core/Error.h"
-
-#include "network/Synchronisable.h"
-#include "network/Server.h"
-#include "network/Client.h"
-
-#include "util/Math.h"
-#include "util/Convert.h"
-#include "util/Sleep.h"
-#include "util/String2Number.h"
-#include "util/substring.h"
-#include "util/Tokenizer.h"
-#include "util/tinyxml/ticpp.h"
-#include "util/tinyxml/tinyxml.h"
-
-#include "hud/HUD.h"
-#include "loader/LevelLoader.h"
-#include "objects/weapon/AmmunitionDump.h"
-#include "objects/weapon/BarrelGun.h"
-#include "objects/weapon/Bullet.h"
-#include "objects/weapon/BulletManager.h"
-#include "objects/weapon/WeaponStation.h"
-#include "objects/Ambient.h"
-#include "objects/Camera.h"
-#include "objects/Explosion.h"
-#include "objects/Fighter.h"
-#include "objects/Model.h"
-#include "objects/NPC.h"
-#include "objects/Projectile.h"
-#include "objects/Skybox.h"
-#include "objects/SpaceShipSteeringObject.h"
-#include "objects/Tickable.h"
-#include "objects/WorldEntity.h"
-#include "particle/ParticleInterface.h"
-#include "tools/BillboardSet.h"
-#include "tools/Light.h"
-#include "tools/Mesh.h"
-#include "tools/Timer.h"
-#include "GraphicsEngine.h"
-#include "InputManager.h"
-#include "Orxonox.h"
-#include "SpaceshipSteering.h"
-
-#endif
-
-#endif /* _StableHeaders_H__ */
Index: code/branches/FICN/src/orxonox/hud/HUD.cc
===================================================================
--- code/branches/FICN/src/orxonox/hud/HUD.cc	(revision 785)
+++ code/branches/FICN/src/orxonox/hud/HUD.cc	(revision 786)
@@ -26,5 +26,5 @@
 */
 
-#include "StableHeaders.h"
+#include "OrxonoxStableHeaders.h"
 
 #include <OgreOverlayManager.h>
Index: code/branches/FICN/src/orxonox/objects/Ambient.cc
===================================================================
--- code/branches/FICN/src/orxonox/objects/Ambient.cc	(revision 785)
+++ code/branches/FICN/src/orxonox/objects/Ambient.cc	(revision 786)
@@ -26,5 +26,5 @@
  */
 
-#include "StableHeaders.h"
+#include "OrxonoxStableHeaders.h"
 
 #include <vector>
Index: code/branches/FICN/src/orxonox/objects/Camera.cc
===================================================================
--- code/branches/FICN/src/orxonox/objects/Camera.cc	(revision 785)
+++ code/branches/FICN/src/orxonox/objects/Camera.cc	(revision 786)
@@ -1,4 +1,4 @@
 
-#include "StableHeaders.h"
+#include "OrxonoxStableHeaders.h"
 
 #include <string>
Index: code/branches/FICN/src/orxonox/objects/Explosion.cc
===================================================================
--- code/branches/FICN/src/orxonox/objects/Explosion.cc	(revision 785)
+++ code/branches/FICN/src/orxonox/objects/Explosion.cc	(revision 786)
@@ -26,5 +26,5 @@
  */
 
-#include "StableHeaders.h"
+#include "OrxonoxStableHeaders.h"
 
 #include <OgreParticleSystem.h>
Index: code/branches/FICN/src/orxonox/objects/Fighter.cc
===================================================================
--- code/branches/FICN/src/orxonox/objects/Fighter.cc	(revision 785)
+++ code/branches/FICN/src/orxonox/objects/Fighter.cc	(revision 786)
@@ -26,5 +26,5 @@
  */
 
-#include "StableHeaders.h"
+#include "OrxonoxStableHeaders.h"
 
 #include <string>
Index: code/branches/FICN/src/orxonox/objects/Model.cc
===================================================================
--- code/branches/FICN/src/orxonox/objects/Model.cc	(revision 785)
+++ code/branches/FICN/src/orxonox/objects/Model.cc	(revision 786)
@@ -26,5 +26,5 @@
  */
 
-#include "StableHeaders.h"
+#include "OrxonoxStableHeaders.h"
 
 #include "util/tinyxml/tinyxml.h"
Index: code/branches/FICN/src/orxonox/objects/NPC.cc
===================================================================
--- code/branches/FICN/src/orxonox/objects/NPC.cc	(revision 785)
+++ code/branches/FICN/src/orxonox/objects/NPC.cc	(revision 786)
@@ -26,5 +26,5 @@
  */
 
-#include "StableHeaders.h"
+#include "OrxonoxStableHeaders.h"
 
 #include "../core/CoreIncludes.h"
Index: code/branches/FICN/src/orxonox/objects/Projectile.cc
===================================================================
--- code/branches/FICN/src/orxonox/objects/Projectile.cc	(revision 785)
+++ code/branches/FICN/src/orxonox/objects/Projectile.cc	(revision 786)
@@ -26,5 +26,5 @@
  */
 
-#include "StableHeaders.h"
+#include "OrxonoxStableHeaders.h"
 
 #include "../core/CoreIncludes.h"
Index: code/branches/FICN/src/orxonox/objects/Skybox.cc
===================================================================
--- code/branches/FICN/src/orxonox/objects/Skybox.cc	(revision 785)
+++ code/branches/FICN/src/orxonox/objects/Skybox.cc	(revision 786)
@@ -26,5 +26,5 @@
  */
 
-#include "StableHeaders.h"
+#include "OrxonoxStableHeaders.h"
 
 #include <string>
Index: code/branches/FICN/src/orxonox/objects/SpaceShip.cc
===================================================================
--- code/branches/FICN/src/orxonox/objects/SpaceShip.cc	(revision 785)
+++ code/branches/FICN/src/orxonox/objects/SpaceShip.cc	(revision 786)
@@ -26,5 +26,5 @@
  */
 
-#include "StableHeaders.h"
+#include "OrxonoxStableHeaders.h"
 
 #include <string>
@@ -136,4 +136,5 @@
         SetConfigValue(bInvertYAxis_, false).description("Set this to true for joystick-like mouse behaviour (mouse up = ship down).");
         SetConfigValue(reloadTime_, 0.125).description("The reload time of the weapon in seconds");
+        SetConfigValue(testvector_, Vector3()).description("asdfblah");
     }
 
Index: code/branches/FICN/src/orxonox/objects/SpaceShip.h
===================================================================
--- code/branches/FICN/src/orxonox/objects/SpaceShip.h	(revision 785)
+++ code/branches/FICN/src/orxonox/objects/SpaceShip.h	(revision 786)
@@ -31,4 +31,5 @@
 
         private:
+            Vector3 testvector_;
             bool bInvertYAxis_;
             bool setMouseEventCallback_;
Index: code/branches/FICN/src/orxonox/objects/SpaceshipSteeringObject.cc
===================================================================
--- code/branches/FICN/src/orxonox/objects/SpaceshipSteeringObject.cc	(revision 785)
+++ code/branches/FICN/src/orxonox/objects/SpaceshipSteeringObject.cc	(revision 786)
@@ -26,5 +26,5 @@
  */
 
-#include "StableHeaders.h"
+#include "OrxonoxStableHeaders.h"
 
 #include <OgreSceneManager.h>
Index: code/branches/FICN/src/orxonox/objects/WorldEntity.cc
===================================================================
--- code/branches/FICN/src/orxonox/objects/WorldEntity.cc	(revision 785)
+++ code/branches/FICN/src/orxonox/objects/WorldEntity.cc	(revision 786)
@@ -26,5 +26,5 @@
  */
 
-#include "StableHeaders.h"
+#include "OrxonoxStableHeaders.h"
 
 #include <string>
Index: code/branches/FICN/src/orxonox/objects/weapon/AmmunitionDump.cc
===================================================================
--- code/branches/FICN/src/orxonox/objects/weapon/AmmunitionDump.cc	(revision 785)
+++ code/branches/FICN/src/orxonox/objects/weapon/AmmunitionDump.cc	(revision 786)
@@ -26,5 +26,5 @@
  */
 
-#include "StableHeaders.h"
+#include "OrxonoxStableHeaders.h"
 
 #include "orxonox/Orxonox.h"
Index: code/branches/FICN/src/orxonox/objects/weapon/BarrelGun.cc
===================================================================
--- code/branches/FICN/src/orxonox/objects/weapon/BarrelGun.cc	(revision 785)
+++ code/branches/FICN/src/orxonox/objects/weapon/BarrelGun.cc	(revision 786)
@@ -26,5 +26,5 @@
  */
 
-#include "StableHeaders.h"
+#include "OrxonoxStableHeaders.h"
 
 #include <OgreStringConverter.h>
Index: code/branches/FICN/src/orxonox/objects/weapon/BaseWeapon.cc
===================================================================
--- code/branches/FICN/src/orxonox/objects/weapon/BaseWeapon.cc	(revision 785)
+++ code/branches/FICN/src/orxonox/objects/weapon/BaseWeapon.cc	(revision 786)
@@ -26,5 +26,5 @@
  */
 
-#include "StableHeaders.h"
+#include "OrxonoxStableHeaders.h"
 
 #include <OgreStringConverter.h>
Index: code/branches/FICN/src/orxonox/objects/weapon/Bullet.cc
===================================================================
--- code/branches/FICN/src/orxonox/objects/weapon/Bullet.cc	(revision 785)
+++ code/branches/FICN/src/orxonox/objects/weapon/Bullet.cc	(revision 786)
@@ -26,5 +26,5 @@
  */
 
-#include "StableHeaders.h"
+#include "OrxonoxStableHeaders.h"
 
 #include "Bullet.h"
Index: code/branches/FICN/src/orxonox/objects/weapon/BulletManager.cc
===================================================================
--- code/branches/FICN/src/orxonox/objects/weapon/BulletManager.cc	(revision 785)
+++ code/branches/FICN/src/orxonox/objects/weapon/BulletManager.cc	(revision 786)
@@ -26,5 +26,5 @@
  */
 
-#include "StableHeaders.h"
+#include "OrxonoxStableHeaders.h"
 
 #include "BulletManager.h"
Index: code/branches/FICN/src/orxonox/objects/weapon/WeaponStation.cc
===================================================================
--- code/branches/FICN/src/orxonox/objects/weapon/WeaponStation.cc	(revision 785)
+++ code/branches/FICN/src/orxonox/objects/weapon/WeaponStation.cc	(revision 786)
@@ -26,5 +26,5 @@
  */
 
-#include "StableHeaders.h"
+#include "OrxonoxStableHeaders.h"
 
 #include "BaseWeapon.h"
Index: code/branches/FICN/src/orxonox/particle/ParticleInterface.cc
===================================================================
--- code/branches/FICN/src/orxonox/particle/ParticleInterface.cc	(revision 785)
+++ code/branches/FICN/src/orxonox/particle/ParticleInterface.cc	(revision 786)
@@ -31,5 +31,5 @@
 */
 
-#include "StableHeaders.h"
+#include "OrxonoxStableHeaders.h"
 
 #include "ParticleInterface.h"
Index: code/branches/FICN/src/orxonox/tools/BillboardSet.cc
===================================================================
--- code/branches/FICN/src/orxonox/tools/BillboardSet.cc	(revision 785)
+++ code/branches/FICN/src/orxonox/tools/BillboardSet.cc	(revision 786)
@@ -26,5 +26,5 @@
  */
 
-#include "StableHeaders.h"
+#include "OrxonoxStableHeaders.h"
 
 #include <sstream>
Index: code/branches/FICN/src/orxonox/tools/Light.cc
===================================================================
--- code/branches/FICN/src/orxonox/tools/Light.cc	(revision 785)
+++ code/branches/FICN/src/orxonox/tools/Light.cc	(revision 786)
@@ -1,3 +1,3 @@
-#include "StableHeaders.h"
+#include "OrxonoxStableHeaders.h"
 
 #include <sstream>
Index: code/branches/FICN/src/orxonox/tools/Mesh.cc
===================================================================
--- code/branches/FICN/src/orxonox/tools/Mesh.cc	(revision 785)
+++ code/branches/FICN/src/orxonox/tools/Mesh.cc	(revision 786)
@@ -26,5 +26,5 @@
  */
 
-#include "StableHeaders.h"
+#include "OrxonoxStableHeaders.h"
 
 #include <sstream>